Package com.io7m.idstore.protocol.user.cb

# Record Class IdU1CommandEmailRemoveBegin

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.cb.IdU1CommandEmailRemoveBegin

Record Components:
  `fieldEmail` - The email address.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdU1Type`, `ProtocolIdU1v1Type`

public record IdU1CommandEmailRemoveBegin(com.io7m.cedarbridge.runtime.api.CBString fieldEmail) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdU1v1Type
A request to remove an email address.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdU1CommandEmailRemoveBegin(com.io7m.cedarbridge.runtime.api.CBString fieldEmail)`
  Creates an instance of a `IdU1CommandEmailRemoveBegin` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdU1CommandEmailRemoveBegin`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdU1CommandEmailRemoveBegin.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldEmail()`
  Returns the value of the `fieldEmail` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1CommandEmailRemoveBegin $x)`
  Serialize a value of type IdU1CommandEmailRemoveBegin.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdU1CommandEmailRemoveBegin

    public IdU1CommandEmailRemoveBegin(com.io7m.cedarbridge.runtime.api.CBString fieldEmail)
    Creates an instance of a `IdU1CommandEmailRemoveBegin` record class.
    Parameters:
      `fieldEmail` - the value for the `fieldEmail` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1CommandEmailRemoveBegin $x) throws IOException
    Serialize a value of type IdU1CommandEmailRemoveBegin.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdU1CommandEmailRemoveBegin deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdU1CommandEmailRemoveBegin.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdU1CommandEmailRemoveBegin.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldEmail

    public com.io7m.cedarbridge.runtime.api.CBString fieldEmail()
    Returns the value of the `fieldEmail` record component.
    Returns:
      the value of the `fieldEmail` record component